﻿
using System.Reflection;
using StructureMapDemo.Services;

using StructureMap;
using StructureMap.Configuration.DSL;
using StructureMapDomainDemo;
using StructureMapDomainDemo.ExcludeMe;

namespace StructureMapDemo
{
    public class IoCBootstrap
    {

        public static void SetupForIoC()
        {
            ObjectFactory.Initialize(
                x =>
                    {
                        x.Scan(
                            scanner =>
                                {
                                    scanner.TheCallingAssembly();

                                    scanner.AssemblyContainingType<IDemoRepository>();

                                    scanner.ExcludeNamespaceContainingType<IItemToExclude>();

                                    scanner.WithDefaultConventions();
                                }
                            );
                    });
        }

    }
}
