using System;

namespace StructureMapDomainDemo.ExcludeMe
{
    public interface IItemToExclude
    {
        bool IsFriday();
    }

    public class ItemToExclude : IItemToExclude
    {
        public bool IsFriday()
        {
            return DateTime.Now.DayOfWeek == DayOfWeek.Friday;
        }
    }
}